%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gtk-doc
Version:	1.15
Release:	1
BuildArch:	i686
Source0:	%{name}-%{version}.tar.bz2
Summary:	GTK+ DocBook Documentation Generator.
License:	GNU/GPL
URL:		http://www.gtk.org/gtk-doc/
Group: 		Graphical Desktop/GNOME/Base
Provides:	perl(gtkdoc-common.pl)
Requires:	openjade >= 1.3.2-2
Requires:	libxslt >= 1.1.12
BuildRequires:	openjade-devel
BuildRequires:	libxslt-devel python26-devel
BuildRequires:  gnome-doc-utils docbook-dtds docbook-style-dsssl docbook-style-xsl xml-common

%description
gtk-doc is used to document C code. It is typically used to
document the public API of libraries, such as the GTK+ and
Gnome libraries. But it can also be used to document
application code.

%prep
%setup -qn %{name}-%{version}
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure \
--disable-debug --disable-scrollkeeper PYTHON=/usr/bin/python%{PYVER}
make

%install
rm -rf $RPM_BUILD_ROOT 
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdocize
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-mkpdf
%{_bindir}/gtkdoc-mktmpl
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdoc-scanobj
%{_aclocal}/gtk-doc.m4
%{_datadir}/gnome/help/gtk-doc-manual
%{_datadir}/gtk-doc/data
%{_datadir}/omf/gtk-doc-manual
%{_datadir}/pkgconfig/gtk-doc.pc
%{_datadir}/sgml/gtk-doc/gtk-doc.cat

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.15-1
- Version update
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.11-5
- finaly python 2.6
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.11-4
- python 2.6
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 1.11-3
- rebuilt with explicit /usr/bin/python2.5
* Thu Apr 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.11-2
- rebuilt against docbook-style-xsl 1.74.2
- updated gtk-doc-xsl.patch to new stylesheet-dir
* Sat Mar 21 2009 Christian Wasem <wasem@ccux-linux.de> 1.11-1
- Version Update
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9-1
- Version Update
* Fri Sep 29 2006 Christian Metzen <metzench@ccux-linux.de> 1.6-2
- rebuild against latest docbook-xsl
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- Version Update
- added BuildRequires
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version Update
* Fri Mar 03 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.4-2
- Added Patch for gtk-doc.xsl
* Tue Oct 25 2005 Christian Wasem <wasem@ccux-Linux.de> 1.4-1
- Update to Version 1.4, tweaked specfile
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 1.3-1
- Version Update to 1.3.
- precised dependencies
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 1.2-2
- Moved Prefix
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> 1.2-1
- First package release.
